html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

html, body {
    height: 100%;
    margin: 0;
}

input, button, a {
    margin-top: 16px;
    margin-bottom: 16px;
}

.log {
    font-family: Consolas;
    font-size: 14px;
    background-color: black;
    color: white;
    display: inline-block;
    overflow: scroll;
    padding: 10px;
}

    .log div {
        margin-bottom: 2px;
        white-space: pre;
    }

    .log .date {
        font-weight: bold;
        margin-top: 10px;
        font-size: 18px;
        margin-bottom: 0;
    }



.lg {
    width: 91px;
    height: 18px;
    padding: 0 3px;
    margin: 0 4px;
    line-height: 20px;
    display: inline-block !important;
}

.gi {
    color: #00a800;
}

.gw {
    color: #ffc800;
}

.ge {
    color: red;
}

.gx {
    margin: 0 0 -4px 406px !important
}

.gn {
    margin-top: 8px;
}

.gp {
    margin-bottom: -4px !important;
}

.container {
    position: relative;
    height: 100vh;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    padding: 20px 0 30px;
}


main {
    display: flex;
    flex-direction: column;
    flex: 1 1 auto;
    min-height: 0;
    overflow: hidden;
}

.log {
    flex: 1 1 auto;
    min-height: 0;
    overflow: auto;
    border: 1px solid #ccc;
    padding: 1rem;
}

.kestrel {
    flex: 0 0 auto;
    margin-bottom: 1rem;
    font-family: monospace;
}